diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ht/ht-phy.h ns-3.44/src/wifi/model/ht/ht-phy.h
--- ns-3.43/src/wifi/model/ht/ht-phy.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/ht/ht-phy.h	2025-03-09 16:55:49.791372500 -0700
@@ -13,8 +13,8 @@
 #include "ns3/ofdm-phy.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::HtPhy class.
  */
 
@@ -30,8 +30,8 @@
 constexpr uint8_t HT_MAX_NSS = 4;
 
 /**
- * \brief PHY entity for HT (11n)
- * \ingroup wifi
+ * @brief PHY entity for HT (11n)
+ * @ingroup wifi
  *
  * HT PHY is based on OFDM PHY.
  * Only HT-Mixed is supported (support for HT-Greenfield has been removed).
@@ -45,8 +45,8 @@
     /**
      * Constructor for HT PHY
      *
-     * \param maxNss the maximum number of spatial streams
-     * \param buildModeList flag used to add HT modes to list (disabled
+     * @param maxNss the maximum number of spatial streams
+     * @param buildModeList flag used to add HT modes to list (disabled
      *                      by child classes to only add child classes' modes)
      */
     HtPhy(uint8_t maxNss = 1, bool buildModeList = true);
@@ -74,16 +74,16 @@
                             Time ppduDuration) override;
 
     /**
-     * \return the WifiMode used for the L-SIG (non-HT header) field
+     * @return the WifiMode used for the L-SIG (non-HT header) field
      */
     static WifiMode GetLSigMode();
     /**
-     * \return the WifiMode used for the HT-SIG field
+     * @return the WifiMode used for the HT-SIG field
      */
     virtual WifiMode GetHtSigMode() const;
 
     /**
-     * \return the BSS membership selector for this PHY entity
+     * @return the BSS membership selector for this PHY entity
      */
     uint8_t GetBssMembershipSelector() const;
 
@@ -91,14 +91,14 @@
      * Set the maximum supported MCS index __per spatial stream__.
      * For HT, this results in non-continuous indices for supported MCSs.
      *
-     * \return the maximum MCS index per spatial stream supported by this entity
+     * @return the maximum MCS index per spatial stream supported by this entity
      */
     uint8_t GetMaxSupportedMcsIndexPerSs() const;
     /**
      * Set the maximum supported MCS index __per spatial stream__.
      * For HT, this results in non-continuous indices for supported MCSs.
      *
-     * \param maxIndex the maximum MCS index per spatial stream supported by this entity
+     * @param maxIndex the maximum MCS index per spatial stream supported by this entity
      *
      * The provided value should not be greater than maximum standard-defined value.
      */
@@ -107,30 +107,30 @@
      * Configure the maximum number of spatial streams supported
      * by this HT PHY.
      *
-     * \param maxNss the maximum number of spatial streams
+     * @param maxNss the maximum number of spatial streams
      */
     void SetMaxSupportedNss(uint8_t maxNss);
 
     /**
-     * \param preamble the type of preamble
-     * \return the duration of the L-SIG (non-HT header) field
+     * @param preamble the type of preamble
+     * @return the duration of the L-SIG (non-HT header) field
      *
-     * \see WIFI_PPDU_FIELD_NON_HT_HEADER
+     * @see WIFI_PPDU_FIELD_NON_HT_HEADER
      */
     virtual Time GetLSigDuration(WifiPreamble preamble) const;
     /**
-     * \param txVector the transmission parameters
-     * \param nDataLtf the number of data LTF fields (excluding those in preamble)
-     * \param nExtensionLtf the number of extension LTF fields
-     * \return the duration of the training field
+     * @param txVector the transmission parameters
+     * @param nDataLtf the number of data LTF fields (excluding those in preamble)
+     * @param nExtensionLtf the number of extension LTF fields
+     * @return the duration of the training field
      *
-     * \see WIFI_PPDU_FIELD_TRAINING
+     * @see WIFI_PPDU_FIELD_TRAINING
      */
     virtual Time GetTrainingDuration(const WifiTxVector& txVector,
                                      uint8_t nDataLtf,
                                      uint8_t nExtensionLtf = 0) const;
     /**
-     * \return the duration of the HT-SIG field
+     * @return the duration of the HT-SIG field
      */
     virtual Time GetHtSigDuration() const;
 
@@ -142,201 +142,201 @@
      * Return the HT MCS corresponding to
      * the provided index.
      *
-     * \param index the index of the MCS
-     * \return an HT MCS
+     * @param index the index of the MCS
+     * @return an HT MCS
      */
     static WifiMode GetHtMcs(uint8_t index);
 
     /**
      * Return MCS 0 from HT MCS values.
      *
-     * \return MCS 0 from HT MCS values
+     * @return MCS 0 from HT MCS values
      */
     static WifiMode GetHtMcs0();
     /**
      * Return MCS 1 from HT MCS values.
      *
-     * \return MCS 1 from HT MCS values
+     * @return MCS 1 from HT MCS values
      */
     static WifiMode GetHtMcs1();
     /**
      * Return MCS 2 from HT MCS values.
      *
-     * \return MCS 2 from HT MCS values
+     * @return MCS 2 from HT MCS values
      */
     static WifiMode GetHtMcs2();
     /**
      * Return MCS 3 from HT MCS values.
      *
-     * \return MCS 3 from HT MCS values
+     * @return MCS 3 from HT MCS values
      */
     static WifiMode GetHtMcs3();
     /**
      * Return MCS 4 from HT MCS values.
      *
-     * \return MCS 4 from HT MCS values
+     * @return MCS 4 from HT MCS values
      */
     static WifiMode GetHtMcs4();
     /**
      * Return MCS 5 from HT MCS values.
      *
-     * \return MCS 5 from HT MCS values
+     * @return MCS 5 from HT MCS values
      */
     static WifiMode GetHtMcs5();
     /**
      * Return MCS 6 from HT MCS values.
      *
-     * \return MCS 6 from HT MCS values
+     * @return MCS 6 from HT MCS values
      */
     static WifiMode GetHtMcs6();
     /**
      * Return MCS 7 from HT MCS values.
      *
-     * \return MCS 7 from HT MCS values
+     * @return MCS 7 from HT MCS values
      */
     static WifiMode GetHtMcs7();
     /**
      * Return MCS 8 from HT MCS values.
      *
-     * \return MCS 8 from HT MCS values
+     * @return MCS 8 from HT MCS values
      */
     static WifiMode GetHtMcs8();
     /**
      * Return MCS 9 from HT MCS values.
      *
-     * \return MCS 9 from HT MCS values
+     * @return MCS 9 from HT MCS values
      */
     static WifiMode GetHtMcs9();
     /**
      * Return MCS 10 from HT MCS values.
      *
-     * \return MCS 10 from HT MCS values
+     * @return MCS 10 from HT MCS values
      */
     static WifiMode GetHtMcs10();
     /**
      * Return MCS 11 from HT MCS values.
      *
-     * \return MCS 11 from HT MCS values
+     * @return MCS 11 from HT MCS values
      */
     static WifiMode GetHtMcs11();
     /**
      * Return MCS 12 from HT MCS values.
      *
-     * \return MCS 12 from HT MCS values
+     * @return MCS 12 from HT MCS values
      */
     static WifiMode GetHtMcs12();
     /**
      * Return MCS 13 from HT MCS values.
      *
-     * \return MCS 13 from HT MCS values
+     * @return MCS 13 from HT MCS values
      */
     static WifiMode GetHtMcs13();
     /**
      * Return MCS 14 from HT MCS values.
      *
-     * \return MCS 14 from HT MCS values
+     * @return MCS 14 from HT MCS values
      */
     static WifiMode GetHtMcs14();
     /**
      * Return MCS 15 from HT MCS values.
      *
-     * \return MCS 15 from HT MCS values
+     * @return MCS 15 from HT MCS values
      */
     static WifiMode GetHtMcs15();
     /**
      * Return MCS 16 from HT MCS values.
      *
-     * \return MCS 16 from HT MCS values
+     * @return MCS 16 from HT MCS values
      */
     static WifiMode GetHtMcs16();
     /**
      * Return MCS 17 from HT MCS values.
      *
-     * \return MCS 17 from HT MCS values
+     * @return MCS 17 from HT MCS values
      */
     static WifiMode GetHtMcs17();
     /**
      * Return MCS 18 from HT MCS values.
      *
-     * \return MCS 18 from HT MCS values
+     * @return MCS 18 from HT MCS values
      */
     static WifiMode GetHtMcs18();
     /**
      * Return MCS 19 from HT MCS values.
      *
-     * \return MCS 19 from HT MCS values
+     * @return MCS 19 from HT MCS values
      */
     static WifiMode GetHtMcs19();
     /**
      * Return MCS 20 from HT MCS values.
      *
-     * \return MCS 20 from HT MCS values
+     * @return MCS 20 from HT MCS values
      */
     static WifiMode GetHtMcs20();
     /**
      * Return MCS 21 from HT MCS values.
      *
-     * \return MCS 21 from HT MCS values
+     * @return MCS 21 from HT MCS values
      */
     static WifiMode GetHtMcs21();
     /**
      * Return MCS 22 from HT MCS values.
      *
-     * \return MCS 22 from HT MCS values
+     * @return MCS 22 from HT MCS values
      */
     static WifiMode GetHtMcs22();
     /**
      * Return MCS 23 from HT MCS values.
      *
-     * \return MCS 23 from HT MCS values
+     * @return MCS 23 from HT MCS values
      */
     static WifiMode GetHtMcs23();
     /**
      * Return MCS 24 from HT MCS values.
      *
-     * \return MCS 24 from HT MCS values
+     * @return MCS 24 from HT MCS values
      */
     static WifiMode GetHtMcs24();
     /**
      * Return MCS 25 from HT MCS values.
      *
-     * \return MCS 25 from HT MCS values
+     * @return MCS 25 from HT MCS values
      */
     static WifiMode GetHtMcs25();
     /**
      * Return MCS 26 from HT MCS values.
      *
-     * \return MCS 26 from HT MCS values
+     * @return MCS 26 from HT MCS values
      */
     static WifiMode GetHtMcs26();
     /**
      * Return MCS 27 from HT MCS values.
      *
-     * \return MCS 27 from HT MCS values
+     * @return MCS 27 from HT MCS values
      */
     static WifiMode GetHtMcs27();
     /**
      * Return MCS 28 from HT MCS values.
      *
-     * \return MCS 28 from HT MCS values
+     * @return MCS 28 from HT MCS values
      */
     static WifiMode GetHtMcs28();
     /**
      * Return MCS 29 from HT MCS values.
      *
-     * \return MCS 29 from HT MCS values
+     * @return MCS 29 from HT MCS values
      */
     static WifiMode GetHtMcs29();
     /**
      * Return MCS 30 from HT MCS values.
      *
-     * \return MCS 30 from HT MCS values
+     * @return MCS 30 from HT MCS values
      */
     static WifiMode GetHtMcs30();
     /**
      * Return MCS 31 from HT MCS values.
      *
-     * \return MCS 31 from HT MCS values
+     * @return MCS 31 from HT MCS values
      */
     static WifiMode GetHtMcs31();
 
@@ -346,8 +346,8 @@
      * GetCodeRate and is used as a callback for
      * WifiMode operation.
      *
-     * \param mcsValue the MCS index
-     * \return the coding rate.
+     * @param mcsValue the MCS index
+     * @return the coding rate.
      */
     static WifiCodeRate GetHtCodeRate(uint8_t mcsValue);
     /**
@@ -356,16 +356,16 @@
      * since HT MCS index > 8 is used for higher NSS.
      * This function is reused by child classes.
      *
-     * \param mcsValue the MCS index
-     * \return the coding rate.
+     * @param mcsValue the MCS index
+     * @return the coding rate.
      */
     static WifiCodeRate GetCodeRate(uint8_t mcsValue);
     /**
      * Return the constellation size corresponding
      * to the supplied HT MCS index.
      *
-     * \param mcsValue the MCS index
-     * \return the size of modulation constellation.
+     * @param mcsValue the MCS index
+     * @return the size of modulation constellation.
      */
     static uint16_t GetHtConstellationSize(uint8_t mcsValue);
     /**
@@ -374,8 +374,8 @@
      * since HT MCS index > 8 is used for higher NSS.
      * This function is reused by child classes.
      *
-     * \param mcsValue the MCS index
-     * \return the size of modulation constellation.
+     * @param mcsValue the MCS index
+     * @return the size of modulation constellation.
      */
     static uint16_t GetConstellationSize(uint8_t mcsValue);
     /**
@@ -384,12 +384,12 @@
      * spatial stream. This function calls CalculatePhyRate
      * and is mainly used as a callback for WifiMode operation.
      *
-     * \param mcsValue the HT MCS index
-     * \param channelWidth the considered channel width
-     * \param guardInterval the considered guard interval duration
-     * \param nss the considered number of stream
+     * @param mcsValue the HT MCS index
+     * @param channelWidth the considered channel width
+     * @param guardInterval the considered guard interval duration
+     * @param nss the considered number of stream
      *
-     * \return the physical bit rate of this signal in bps.
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRate(uint8_t mcsValue,
                                MHz_u channelWidth,
@@ -401,9 +401,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the physical bit rate of this signal in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -412,9 +412,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the data bit rate in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the data bit rate in bps.
      */
     static uint64_t GetDataRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -423,11 +423,11 @@
      * of spatial streams. This function is mainly used as a
      * callback for WifiMode operation.
      *
-     * \param mcsValue the HT MCS index
-     * \param channelWidth the channel width
-     * \param guardInterval the guard interval duration in nanoseconds
-     * \param nss the number of spatial streams
-     * \return the data bit rate in bps.
+     * @param mcsValue the HT MCS index
+     * @param channelWidth the channel width
+     * @param guardInterval the guard interval duration in nanoseconds
+     * @param nss the number of spatial streams
+     * @return the data bit rate in bps.
      */
     static uint64_t GetDataRate(uint8_t mcsValue,
                                 MHz_u channelWidth,
@@ -438,16 +438,16 @@
      * to the supplied HT MCS index. This function calls CalculateNonHtReferenceRate
      * and is used as a callback for WifiMode operation.
      *
-     * \param mcsValue the HT MCS index
-     * \return the rate in bps of the non-HT Reference Rate.
+     * @param mcsValue the HT MCS index
+     * @return the rate in bps of the non-HT Reference Rate.
      */
     static uint64_t GetNonHtReferenceRate(uint8_t mcsValue);
     /**
      * Check whether the combination in TXVECTOR is allowed.
      * This function is used as a callback for WifiMode operation.
      *
-     * \param txVector the TXVECTOR
-     * \returns true if this combination is allowed, false otherwise.
+     * @param txVector the TXVECTOR
+     * @returns true if this combination is allowed, false otherwise.
      */
     static bool IsAllowed(const WifiTxVector& txVector);
 
@@ -469,13 +469,13 @@
     virtual void BuildModeList();
 
     /**
-     * \param txVector the transmission parameters
-     * \return the number of BCC encoders used for data encoding
+     * @param txVector the transmission parameters
+     * @return the number of BCC encoders used for data encoding
      */
     virtual uint8_t GetNumberBccEncoders(const WifiTxVector& txVector) const;
     /**
-     * \param txVector the transmission parameters
-     * \return the symbol duration (including GI)
+     * @param txVector the transmission parameters
+     * @return the symbol duration (including GI)
      */
     virtual Time GetSymbolDuration(const WifiTxVector& txVector) const;
 
@@ -483,9 +483,9 @@
      * Return the PHY rate corresponding to
      * the supplied code rate and data rate.
      *
-     * \param codeRate the code rate
-     * \param dataRate the data rate in bps
-     * \return the data bit rate in bps.
+     * @param codeRate the code rate
+     * @param dataRate the data rate in bps
+     * @return the data bit rate in bps.
      */
     static uint64_t CalculatePhyRate(WifiCodeRate codeRate, uint64_t dataRate);
     /**
@@ -493,9 +493,9 @@
      * which corresponds to the supplied code rate and
      * constellation size.
      *
-     * \param codeRate the convolutional coding rate
-     * \param constellationSize the size of modulation constellation
-     * \returns the rate in bps.
+     * @param codeRate the convolutional coding rate
+     * @param constellationSize the size of modulation constellation
+     * @returns the rate in bps.
      *
      * To convert an HT MCS to its corresponding non-HT Reference Rate
      * use the modulation and coding rate of the HT MCS
@@ -505,20 +505,20 @@
     /**
      * Convert WifiCodeRate to a ratio, e.g., code ratio of WIFI_CODE_RATE_1_2 is 0.5.
      *
-     * \param codeRate the code rate
-     * \return the code rate in ratio.
+     * @param codeRate the code rate
+     * @return the code rate in ratio.
      */
     static double GetCodeRatio(WifiCodeRate codeRate);
     /**
      * Calculates data rate from the supplied parameters.
      *
-     * \param symbolDuration the symbol duration
-     * \param usableSubCarriers the number of usable subcarriers for data
-     * \param numberOfBitsPerSubcarrier the number of data bits per subcarrier
-     * \param codingRate the coding rate
-     * \param nss the considered number of streams
+     * @param symbolDuration the symbol duration
+     * @param usableSubCarriers the number of usable subcarriers for data
+     * @param numberOfBitsPerSubcarrier the number of data bits per subcarrier
+     * @param codingRate the coding rate
+     * @param nss the considered number of streams
      *
-     * \return the data bit rate of this signal in bps.
+     * @return the data bit rate of this signal in bps.
      */
     static uint64_t CalculateDataRate(Time symbolDuration,
                                       uint16_t usableSubCarriers,
@@ -527,14 +527,14 @@
                                       uint8_t nss);
 
     /**
-     * \param channelWidth the channel width
-     * \return the number of usable subcarriers for data
+     * @param channelWidth the channel width
+     * @return the number of usable subcarriers for data
      */
     static uint16_t GetUsableSubcarriers(MHz_u channelWidth);
 
     /**
-     * \param guardInterval the guard interval duration
-     * \return the symbol duration
+     * @param guardInterval the guard interval duration
+     * @return the symbol duration
      */
     static Time GetSymbolDuration(Time guardInterval);
 
@@ -548,8 +548,8 @@
      * End receiving the HT-SIG, perform HT-specific actions, and
      * provide the status of the reception.
      *
-     * \param event the event holding incoming PPDU's information
-     * \return status of the reception of the HT-SIG
+     * @param event the event holding incoming PPDU's information
+     * @return status of the reception of the HT-SIG
      */
     PhyFieldRxStatus EndReceiveHtSig(Ptr<Event> event);
 
@@ -558,8 +558,8 @@
      * the provided index.
      * This method binds all the callbacks used by WifiMode.
      *
-     * \param index the index of the MCS
-     * \return an HT MCS
+     * @param index the index of the MCS
+     * @return an HT MCS
      */
     static WifiMode CreateHtMcs(uint8_t index);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ht/ht-ppdu.cc ns-3.44/src/wifi/model/ht/ht-ppdu.cc
--- ns-3.43/src/wifi/model/ht/ht-ppdu.cc	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/ht/ht-ppdu.cc	2025-03-09 16:55:49.791372500 -0700
@@ -135,13 +135,13 @@
 void
 HtPpdu::HtSigHeader::SetChannelWidth(MHz_u channelWidth)
 {
-    m_cbw20_40 = (channelWidth > 20) ? 1 : 0;
+    m_cbw20_40 = (channelWidth > MHz_u{20}) ? 1 : 0;
 }
 
 MHz_u
 HtPpdu::HtSigHeader::GetChannelWidth() const
 {
-    return m_cbw20_40 ? 40 : 20;
+    return m_cbw20_40 ? MHz_u{40} : MHz_u{20};
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/ht/ht-ppdu.h ns-3.44/src/wifi/model/ht/ht-ppdu.h
--- ns-3.43/src/wifi/model/ht/ht-ppdu.h	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/ht/ht-ppdu.h	2025-03-09 16:55:49.791372500 -0700
@@ -14,8 +14,8 @@
 #include "ns3/ofdm-ppdu.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::HtPpdu class.
  */
 
@@ -25,8 +25,8 @@
 class WifiPsdu;
 
 /**
- * \brief HT  PPDU (11n)
- * \ingroup wifi
+ * @brief HT  PPDU (11n)
+ * @ingroup wifi
  *
  * HtPpdu stores a preamble, PHY headers and a PSDU of a PPDU with HT header
  */
@@ -45,61 +45,61 @@
         /**
          * Fill the MCS field of HT-SIG.
          *
-         * \param mcs the MCS field of HT-SIG
+         * @param mcs the MCS field of HT-SIG
          */
         void SetMcs(uint8_t mcs);
         /**
          * Return the MCS field of HT-SIG.
          *
-         * \return the MCS field of HT-SIG
+         * @return the MCS field of HT-SIG
          */
         uint8_t GetMcs() const;
         /**
          * Fill the channel width field of HT-SIG.
          *
-         * \param channelWidth the channel width
+         * @param channelWidth the channel width
          */
         void SetChannelWidth(MHz_u channelWidth);
         /**
          * Return the channel width.
          *
-         * \return the channel width
+         * @return the channel width
          */
         MHz_u GetChannelWidth() const;
         /**
          * Fill the aggregation field of HT-SIG.
          *
-         * \param aggregation whether the PSDU contains A-MPDU or not
+         * @param aggregation whether the PSDU contains A-MPDU or not
          */
         void SetAggregation(bool aggregation);
         /**
          * Return the aggregation field of HT-SIG.
          *
-         * \return the aggregation field of HT-SIG
+         * @return the aggregation field of HT-SIG
          */
         bool GetAggregation() const;
         /**
          * Fill the short guard interval field of HT-SIG.
          *
-         * \param sgi whether short guard interval is used or not
+         * @param sgi whether short guard interval is used or not
          */
         void SetShortGuardInterval(bool sgi);
         /**
          * Return the short guard interval field of HT-SIG.
          *
-         * \return the short guard interval field of HT-SIG
+         * @return the short guard interval field of HT-SIG
          */
         bool GetShortGuardInterval() const;
         /**
          * Fill the HT length field of HT-SIG (in bytes).
          *
-         * \param length the HT length field of HT-SIG (in bytes)
+         * @param length the HT length field of HT-SIG (in bytes)
          */
         void SetHtLength(uint16_t length);
         /**
          * Return the HT length field of HT-SIG (in bytes).
          *
-         * \return the HT length field of HT-SIG (in bytes)
+         * @return the HT length field of HT-SIG (in bytes)
          */
         uint16_t GetHtLength() const;
 
@@ -114,11 +114,11 @@
     /**
      * Create an HT PPDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
+     * @param uid the unique ID of this PPDU
      */
     HtPpdu(Ptr<const WifiPsdu> psdu,
            const WifiTxVector& txVector,
@@ -135,26 +135,26 @@
     /**
      * Fill in the PHY headers.
      *
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
-     * \param psduSize the size duration of the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
+     * @param psduSize the size duration of the PHY payload (PSDU)
      */
     void SetPhyHeaders(const WifiTxVector& txVector, Time ppduDuration, std::size_t psduSize);
 
     /**
      * Fill in the L-SIG header.
      *
-     * \param lSig the L-SIG header to fill in
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param lSig the L-SIG header to fill in
+     * @param ppduDuration the transmission duration of this PPDU
      */
     virtual void SetLSigHeader(LSigHeader& lSig, Time ppduDuration) const;
 
     /**
      * Fill in the HT-SIG header.
      *
-     * \param htSig the HT-SIG header to fill in
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param psduSize the size duration of the PHY payload (PSDU)
+     * @param htSig the HT-SIG header to fill in
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param psduSize the size duration of the PHY payload (PSDU)
      */
     void SetHtSigHeader(HtSigHeader& htSig,
                         const WifiTxVector& txVector,
@@ -163,9 +163,9 @@
     /**
      * Fill in the TXVECTOR from PHY headers.
      *
-     * \param txVector the TXVECTOR to fill in
-     * \param lSig the L-SIG header
-     * \param htSig the HT-SIG header
+     * @param txVector the TXVECTOR to fill in
+     * @param lSig the L-SIG header
+     * @param htSig the HT-SIG header
      */
     void SetTxVectorFromPhyHeaders(WifiTxVector& txVector,
                                    const LSigHeader& lSig,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/interference-helper.cc ns-3.44/src/wifi/model/interference-helper.cc
--- ns-3.43/src/wifi/model/interference-helper.cc	2024-10-09 16:41:10.120656700 -0700
+++ ns-3.44/src/wifi/model/interference-helper.cc	2025-03-09 16:55:49.791372500 -0700
@@ -246,8 +246,8 @@
     auto result = m_niChanges.insert({band, niChanges});
     NS_ASSERT(result.second);
     // Always have a zero power noise event in the list
-    AddNiChangeEvent(Time(0), NiChange(0.0, nullptr), result.first);
-    m_firstPowers.insert({band, 0.0});
+    AddNiChangeEvent(Time(0), NiChange(Watt_u{0}, nullptr), result.first);
+    m_firstPowers.insert({band, Watt_u{0}});
 }
 
 void
@@ -354,8 +354,8 @@
     {
         auto niIt = m_niChanges.find(band);
         NS_ABORT_IF(niIt == m_niChanges.end());
-        Watt_u previousPowerStart = 0;
-        Watt_u previousPowerEnd = 0;
+        Watt_u previousPowerStart{0.0};
+        Watt_u previousPowerEnd{0.0};
         auto previousPowerPosition = GetPreviousPosition(event->GetStartTime(), niIt);
         previousPowerStart = previousPowerPosition->second.GetPower();
         previousPowerEnd = GetPreviousPosition(event->GetEndTime(), niIt)->second.GetPower();
@@ -411,9 +411,9 @@
     // thermal noise at 290K in J/s = W
     static const double BOLTZMANN = 1.3803e-23;
     // Nt is the power of thermal noise in W
-    const auto Nt = BOLTZMANN * 290 * channelWidth * 1e6;
+    const auto Nt = BOLTZMANN * 290 * MHzToHz(channelWidth);
     // receiver noise Floor which accounts for thermal noise and non-idealities of the receiver
-    Watt_u noiseFloor = m_noiseFigure * Nt;
+    Watt_u noiseFloor{m_noiseFigure * Nt};
     Watt_u noise = noiseFloor + noiseInterference;
     auto snr = signal / noise; // linear scale
     NS_LOG_DEBUG("bandwidth=" << channelWidth << "MHz, signal=" << signal << "W, noise="
@@ -448,7 +448,7 @@
     auto it = niIt->second.find(event->GetStartTime());
     const auto muMimoPower = (event->GetPpdu()->GetType() == WIFI_PPDU_TYPE_UL_MU)
                                  ? CalculateMuMimoPowerW(event, band)
-                                 : 0.0;
+                                 : Watt_u{0.0};
     for (; it != niIt->second.end() && it->first < now; ++it)
     {
         if (IsSameMuMimoTransmission(event, it->second.GetEvent()) &&
@@ -462,7 +462,7 @@
         if (std::abs(noiseInterference) < std::numeric_limits<double>::epsilon())
         {
             // fix some possible rounding issues with double values
-            noiseInterference = 0.0;
+            noiseInterference = Watt_u{0.0};
         }
     }
     it = niIt->second.find(event->GetStartTime());
@@ -472,14 +472,14 @@
         ;
     }
     NiChanges ni;
-    ni.emplace(event->GetStartTime(), NiChange(0, event));
+    ni.emplace(event->GetStartTime(), NiChange(Watt_u{0}, event));
     while (++it != niIt->second.end() && it->second.GetEvent() != event)
     {
         ni.insert(*it);
     }
-    ni.emplace(event->GetEndTime(), NiChange(0, event));
+    ni.emplace(event->GetEndTime(), NiChange(Watt_u{0}, event));
     nis.insert({band, ni});
-    NS_ASSERT_MSG(noiseInterference >= 0.0,
+    NS_ASSERT_MSG(noiseInterference >= Watt_u{0.0},
                   "CalculateNoiseInterferenceW returns negative value " << noiseInterference);
     return noiseInterference;
 }
@@ -577,7 +577,7 @@
     const auto& niIt = nis->find(band)->second;
     auto j = niIt.cbegin();
     auto previous = j->first;
-    Watt_u muMimoPower = 0.0;
+    Watt_u muMimoPower{0.0};
     const auto payloadMode = event->GetPpdu()->GetTxVector().GetMode(staId);
     auto phyPayloadStart = j->first;
     if (event->GetPpdu()->GetType() != WIFI_PPDU_TYPE_UL_MU &&
@@ -849,8 +849,8 @@
     return std::all_of(band.frequencies.cbegin(),
                        band.frequencies.cend(),
                        [&freqRange](const auto& freqs) {
-                           return ((freqs.second > (freqRange.minFrequency * 1e6)) &&
-                                   (freqs.first < (freqRange.maxFrequency * 1e6)));
+                           return ((freqs.second > MHzToHz(freqRange.minFrequency)) &&
+                                   (freqs.first < MHzToHz(freqRange.maxFrequency)));
                        });
 }
 
